Skip to main content
PATCH
Update a modifier

Authorizations

x-api-key
string
header
required

Location/organization API key.

Path Parameters

location_id
string
required
catalog_id
string
required
modifier_group_id
string
required
modifier_id
string
required

Body

application/json
name
string
image_url
string<uri> | null
price
object
disabled
boolean

Whether the resource is hidden and cannot be ordered.

out_of_stock
boolean

Whether the resource is temporarily unavailable while remaining visible.

restrictions
object[]

Availability windows. The resource is available when any restriction matches.

Maximum array length: 100
price_overrides
object[]

Conditional prices. The matching override with the most specific conditions wins.

Maximum array length: 100

Response

The updated modifier.

id
string
required
Pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]{0,127}$
Example:

"bacon"

name
string
required
Example:

"Bacon"

price
object
required
disabled
boolean
default:false
required

Whether the resource is hidden and cannot be ordered.

out_of_stock
boolean
default:false
required

Whether the resource is temporarily unavailable while remaining visible.

restrictions
object[]
required

Availability windows. The resource is available when any restriction matches.

Maximum array length: 100
price_overrides
object[]
required

Conditional prices. The matching override with the most specific conditions wins.

Maximum array length: 100
object
enum<string>
required
Available options:
modifier
created_at
string<date-time>
required
updated_at
string<date-time>
required
image_url
string<uri> | null